* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  text-decoration: none;
  font-family: "Poppins", sans-serif;
  border: none;
  outline: none;
  scroll-behavior: smooth;
}

:root {
  --bg-color: #1f242d;
  --second-bg-color: #323946;
  --text-color: #fff;
  --main-color: #0ef;
}

html {
  font-size: 62.5%;
  overflow-x: hidden;
}

body {
  font-family: "Cairo", sans-serif; /* Arabic font */
  font-family: "Poppins", sans-serif; /* Latin font */
}

/* Header */
#header {
  padding: 50px 0;
}

#header figure {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100%;
}

#header figure img {
  width: 200px;
  height: 200px;
  border-radius: 50%;
  object-fit: cover;
  border: 5px solid white;
  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.3);
  transition: transform 0.3s ease;
}

#header figure img:hover {
  transform: scale(1.05);
}

/* Title */
#title {
  background-color: #081828;
  text-align: center;
  padding: 18px 0;
}

#title p {
  color: white;
  font-size: 18px;
}

/* Social Media */
#social-media {
  background-image: url("../images/background.jpg");
  background-size: cover;
  background-position: center;
  padding: 70px 120px;
}

#social-media ul {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  gap: 50px;
  list-style-type: none;
}

#social-media ul figure {
  text-align: center;
  cursor: pointer;
  transition: 1s;
}

#social-media ul figure:hover {
  transform: translateY(-10px);
  transform: scale(1.08);
}

#social-media ul figure:hover figcaption {
  color: #11b76b;
}

#social-media figure img {
  width: 80px;
}

#social-media figure figcaption {
  margin-top: 14px;
  font-weight: 600;
  font-size: 22px;
  color: #272727;
  transition: 0.5s;
}

/* Visitors */
#visitors {
  background-color: #272727;
  padding: 15px 0;
  text-align: center;
  font-size: 24px;
  font-weight: bold;
  color: white;
}

#visitors span {
  color: #198754;
}

/* Responsive Design */
@media (max-width: 1200px) {
  /* For screens smaller than 1200px, adjust social media items */
  #social-media ul {
    justify-content: center;
  }

  #social-media figure img {
    width: 80px;
  }

  #social-media figure figcaption {
    font-size: 22px;
  }
}

@media (max-width: 768px) {
  /* For screens smaller than 768px */
  #header figure img {
    width: 150px;
    height: 150px;
  }

  #title p {
    font-size: 14px;
  }

  #social-media {
    padding: 50px 50px;
  }

  #social-media ul {
    gap: 30px;
  }

  #social-media figure img {
    width: 70px;
  }

  #social-media figure figcaption {
    font-size: 20px;
  }

  #visitors p {
    font-size: 18px;
  }
}

@media (max-width: 480px) {
  #header{
    padding: 35px;
  }
  /* For screens smaller than 480px */
  #header figure img {
    width: 140px;
    height: 140px;
  }

  #title p {
    font-size: 14px;
  }

  #social-media {
    padding: 30px 20px;
  }

  #social-media ul {
    justify-content: space-around;
  }

  #social-media figure img {
    width: 40px;
  }

  #social-media figure figcaption {
    font-size: 16px;
  }

  #visitors p {
    font-size: 16px;
  }
}
